Summary:	Xfce4-Panel plugin to embed dockbarx into the panel
Summary(de):	Xfce4-Panel Erweiterung, die dockbarx in die Leiste einbettet
Name:		xfce4-dockbarx-plugin
Version:	0.4.1
Release:	%mkrel 1
License:	MIT/X11
Group:		Graphical desktop/Xfce
URL:		https://github.com/TiZ-EX1/xfce4-dockbarx-plugin
Source0:	%{name}-%{version}.tar.xz 
Patch0:		%{name}-install.patch
BuildRequires:	xfce4-panel-devel >= 4.12.0 
BuildRequires:	libxfce4util-devel
BuildRequires:	vala-devel
BuildRequires:	gtk2-devel 
BuildRequires:	waf
BuildRequires:	glib2-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	dockbarx
Requires:	xfce4-panel
Requires:	dockbarx
Requires:	vala
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
xfce4-dockbarx-plugin is a pair of programs - a gtk socket in Vala and a gtk plug 
in Python - that work together to embed DockbarX into xfce4-panel.

#german
%description -l de
Das xfce4-dockbarx-plugin ist Paar von Programmen - ein in Vala geschriebener GTK Socket 
und eine GTK Erweiterung in Python - das zusammen arbeitet um DockbarX in das xfce4-panel 
einzubetten.

%prep

%setup -q
%patch0 -p0

%build
./waf configure --prefix=/usr --libdir=%{_libdir} --destdir=%{buildroot}
./waf build

%install
rm -rf %{buildroot}
# installer is to damaged so lets do it ourself
mkdir -p %{buildroot}/%{_libdir}/xfce4/panel/plugins
mkdir -p %{buildroot}/%{_datadir}/xfce4/panel/plugins
mkdir -p %{buildroot}/%{_datadir}/dockbarx/themes

install -m644 build/libdockbarx.so %{buildroot}/%{_libdir}/xfce4/panel/plugins
install -m644 build/data/dockbarx.desktop %{buildroot}/%{_datadir}/xfce4/panel/plugins
install -m755 src/xfce4-dockbarx-plug.py %{buildroot}/%{_datadir}/xfce4/panel/plugins/xfce4-dockbarx-plug

install -m644 data/Mouse*.tar.gz %{buildroot}/%{_datadir}/dockbarx/themes


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.md AUTHORS ChangeLog COPYING
%{_libdir}/xfce4/panel/plugins/libdockbarx.so
%{_datadir}/dockbarx/themes/Mouse*.tar.gz
%{_datadir}/xfce4/panel/plugins/dockbarx.desktop
%{_datadir}/xfce4/panel/plugins/xfce4-dockbarx-plug


%changelog
* Sat Oct 15 2016 adrianomorselli <adrianomorselli> 0.4.1-1uplos2016
- rebuild for libvala

* Sat Jul 30 2016 ghostbunny <ghostbunny at gmx dot de> 0.4.1-1pclos2016
- 0.4.1

* Wed Mar 11 2015 ghostbunny <ghostbunny at gmx dot de> 0.3.1-1pclos2015
- initial import for PCLOS
